Package org.drinkless.tdlib

# Class TdApi.UpdateStarRevenueStatus

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateStarRevenueStatus

Enclosing class:
  `TdApi`

public static class TdApi.UpdateStarRevenueStatus extends TdApi.Update
The Telegram Star revenue earned by a user or a chat has changed. If Telegram Star transaction screen of the chat is opened, then getStarTransactions may be called to fetch new transactions.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.MessageSender`
  `ownerId`
  Identifier of the owner of the Telegram Stars.
  `TdApi.StarRevenueStatus`
  `status`
  New Telegram Star revenue status.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateStarRevenueStatus()`
  The Telegram Star revenue earned by a user or a chat has changed.
  `UpdateStarRevenueStatus(TdApi.MessageSender ownerId, TdApi.StarRevenueStatus status)`
  The Telegram Star revenue earned by a user or a chat has changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ownerId

    public TdApi.MessageSender ownerId
    Identifier of the owner of the Telegram Stars.

  - ### status

    public TdApi.StarRevenueStatus status
    New Telegram Star revenue status.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateStarRevenueStatus

    public UpdateStarRevenueStatus()
    The Telegram Star revenue earned by a user or a chat has changed. If Telegram Star transaction screen of the chat is opened, then getStarTransactions may be called to fetch new transactions.

  - ### UpdateStarRevenueStatus

    public UpdateStarRevenueStatus(TdApi.MessageSender ownerId, TdApi.StarRevenueStatus status)
    The Telegram Star revenue earned by a user or a chat has changed. If Telegram Star transaction screen of the chat is opened, then getStarTransactions may be called to fetch new transactions.
    Parameters:
      `ownerId` - Identifier of the owner of the Telegram Stars.
      `status` - New Telegram Star revenue status.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR